Update Stream Filter Subscription

Dynamically mutates monitored wallet addresses, market tags, or series slugs without disconnecting SSE clients
PUT/streams/{id}/subscription

请求参数

该接口所需的请求头与参数规范。

请求头
请求头类型必填说明
X-PolyEdge-Keystring必填PolyEdge API Key for client authentication and rate-limiting
Content-Typestring必填Must be set to application/json
路径参数
参数类型必填说明
idstring必填Stream ID
请求体 (application/json)
Request Payload
字段类型说明
addresses
string[]-
series
string[]-
tags
string[]-

响应 (200 OK)

成功响应载荷的字段定义。

application/json
200 响应示例
json
{
  "active_sessions": 0,
  "addresses": [
    "0x2005d16a84ceefa912d4e380cd32e7ff827875ea"
  ],
  "created_at": "2026-09-29T09:01:46.05491822Z",
  "enabled": true,
  "id": "9bae9005-9ef1-4f17-8658-36ea54536836",
  "name": "Temporary Sample Stream",
  "series": [
    "itf"
  ],
  "tags": [
    "sports",
    "tennis"
  ],
  "updated_at": "2026-09-29T09:01:49.262222938Z"
}
响应体字段
字段类型说明
active_sessions
integer-
addresses
string[]-
created_at
string-
enabled
boolean-
id
string-
name
string-
series
string[]-
tags
string[]-
updated_at
string-

cURL 示例

在终端中直接复制并运行此命令测试该接口。

cURL: PUT /streams/{id}/subscription
bash
curl -X PUT "https://stream.polyedge.dev/streams/9bae9005-9ef1-4f17-8658-36ea54536836/subscription" \
  -H "Content-Type: application/json" \
  -H "X-PolyEdge-Key: Your-PolyEdge-ApiKey" \
  -d '{
    "addresses": [
      "0x2005d16a84ceefa912d4e380cd32e7ff827875ea"
    ],
    "series": [
      "itf"
    ],
    "tags": [
      "sports",
      "tennis"
    ]
  }'